Package org.gradle.api.artifacts

## Interface DirectDependenciesMetadata

- All Superinterfaces:
    `Collection<DirectDependencyMetadata>`, `DependenciesMetadata<DirectDependencyMetadata>`, `Iterable<DirectDependencyMetadata>`

      public interface DirectDependenciesMetadata
      extends DependenciesMetadata<DirectDependencyMetadata>

  Describes the dependencies of a variant declared in a resolved component's metadata, which typically originate from a component descriptor (Gradle metadata file, Ivy file, Maven POM). This interface can be used to adjust the dependencies of a published component via metadata rules (see `ComponentMetadataHandler`.
  Since:
    4.5

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

    - ### Methods inherited from interface org.gradle.api.artifacts.DependenciesMetadata

      `add, add, add, add`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`